package pay

import (
	"net/http"

	"ycc-server/app/main/api/internal/logic/pay"
	"ycc-server/app/main/api/internal/svc"
	"ycc-server/common/result"
)

func WechatPayCallbackHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := pay.NewWechatPayCallbackLogic(r.Context(), svcCtx)
		err := l.WechatPayCallback(w, r)
		result.HttpResult(r, w, nil, err)
	}
}
